petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCholeskyFactor

Performs in-place Cholesky factorization of a symmetric matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCholeskyFactor(Mat mat,IS perm,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| mat | - the matrix
| perm | - row and column permutations
| f | - expected fill as ratio of original fill

### Notes

See MatLUFactor() for the nonsymmetric case. See also MatCholeskyFactorSymbolic(), and MatCholeskyFactorNumeric().

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactor(), MatCholeskyFactorSymbolic(), MatCholeskyFactorNumeric()
MatGetOrdering()

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatCholeskyFactor_SeqDense in src/mat/impls/dense/seq/dense.c
MatCholeskyFactor_Elemental in src/mat/impls/elemental/matelem.cxx
MatCholeskyFactor_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaijfact.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages